### Function

# Gio AppInfo get_default_for_type

#### Declaration

    GAppInfo*
    g_app_info_get_default_for_type (
      const char* content_type,
      gboolean must_support_uris
    )

#### Description

Gets the default `GAppInfo` for a given content type.

#### Parameters

`content_type`

  Type: `const char*`

  The content type to find a `GAppInfo` for.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`must_support_uris`

  Type: `gboolean`

  If `TRUE`, the `GAppInfo` is expected to support URIs.

#### Return value

Type: `GAppInfo`

`GAppInfo` for given `content_type` or `NULL` on error.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.